NX Open C++ Reference Guide
|
Represents a @link Features::GlobalShaping Features::GlobalShaping@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateGlobalShapingBuilder Features::FeatureCollection::CreateGlobalShapingBuilder @endlink <br>
Default values. More...
Public Member Functions | |
double | AngleTolerance () |
Returns the angle tolerance Created in NX5.0.0. | |
NXOpen::SelectNXObjectList * | AssociatedObjects () |
Returns the objects to transform with the deformation Created in NX7.5.0. | |
NXOpen::Section * | BaseCurve () |
Returns the base curve Created in NX8.5.0. | |
NXOpen::SelectNXObject * | BaseSheetSelection () |
Returns the base face selection Created in NX8.5.0. | |
NXOpen::Section * | BendCurve () |
Returns the bend curve Created in NX5.0.0. | |
NXOpen::Section * | ControlCurve () |
Returns the curve control Created in NX8.5.0. | |
NXOpen::SelectNXObject * | ControlSheetSelection () |
Returns the control face selection Created in NX8.5.0. | |
NXOpen::Features::GlobalShapingBuilder::DirectionMethodType | DeformationDirectionMethod () |
Returns the deformation direction method Created in NX5.0.0. | |
bool | DeformationDirectionReverse () |
Returns the deformation direction reverse Created in NX5.0.0. | |
NXOpen::Direction * | DeformationDirectionVector () |
Returns the deformation direction vector Created in NX8.5.0. | |
NXOpen::Features::GlobalShapingBuilder::DeformationTypeValues | DeformationType () |
Returns the deformation type Created in NX5.0.0. | |
double | DistanceTolerance () |
Returns the distance tolerance Created in NX5.0.0. | |
void | EnableMovePole (bool enable) |
Enable move pole Created in NX8.5.0. | |
NXOpen::SelectDisplayableObjectList * | FacetToDeform () |
Returns the facet to deform Created in NX8.5.0. | |
NXOpen::GeometricUtilities::FeatureOptions * | FeatureOptions () |
Returns the feature options Created in NX5.0.0. | |
NXOpen::Section * | FirstRegionLimitCurve () |
Returns the first region limit curve Created in NX5.0.0. | |
NXOpen::GeometricUtilities::LawBuilder * | FirstRegionLimitCurveOffsetLaw () |
Returns the region to deform offset law Created in NX5.0.0. | |
NXOpen::ScCollector * | FirstRegionOffsetCurve () |
Returns the first region offset curve Created in NX5.0.0. | |
NXOpen::ScCollector * | FirstTargetCurve () |
Returns the first target curve Created in NX5.0.0. | |
NXOpen::Expression * | FirstTargetCurveOffset () |
Returns the first target curve offset Created in NX5.0.0. | |
bool | FlipBaseNormalDirection () |
Returns the flip base normal direction Created in NX8.5.0. | |
bool | FlipBaseUDirection () |
Returns the flip base udirection Created in NX8.5.0. | |
bool | FlipBaseVDirection () |
Returns the flip base vdirection Created in NX8.5.0. | |
bool | FlipControlNormalDirection () |
Returns the flip control normal direction Created in NX8.5.0. | |
bool | FlipControlUDirection () |
Returns the flip control udirection Created in NX8.5.0. | |
bool | FlipControlVDirection () |
Returns the flip control vdirection Created in NX8.5.0. | |
int | IterationCount () |
Returns the maximum iterations count used for approximating the deformed sheet. | |
bool | KeepBaseLength () |
Returns the equal arc length toggle Created in NX8.5.0. | |
bool | ModifyInputSheet () |
Returns the modify input sheet Created in NX5.0.0. | |
NXOpen::Features::GlobalShapingBuilder::ModifyMethodType | ModifyMethod () |
Returns the modify method Created in NX8.5.0. | |
NXOpen::GeometricUtilities::MovePoleBuilder * | MovePole () |
Returns the move pole Created in NX8.5.0. | |
NXOpen::Features::GlobalShapingCurveOffsetBuilder * | NewTargetCurve () |
Create a new target curve. | |
NXOpen::Features::GlobalShapingPointOffsetBuilder * | NewTargetPoint () |
Create a new target point. | |
NXOpen::Direction * | ProjectionDirection () |
Returns the projection direction Created in NX5.0.0. | |
NXOpen::Features::GlobalShapingBuilder::RadiusType | RadiusOptions () |
Returns the radius options Created in NX5.0.0. | |
NXOpen::Expression * | RadiusReductionPercent () |
Returns the radius reduction percent Created in NX7.0.0. | |
NXOpen::ScCollector * | RegionEdgeCurve () |
Returns the region edge curve Created in NX5.0.0. | |
NXOpen::Section * | RegionLimitCurve () |
Returns the region limit curve Created in NX5.0.0. | |
NXOpen::Section * | RegionToDeform () |
Returns the region to deform Created in NX5.0.0. | |
NXOpen::Expression * | RegionToDeformOffset () |
Returns the region boundary offset Created in NX5.0.0. | |
NXOpen::Expression * | RotationAngle () |
Returns the rotation angle value Created in NX5.0.0. | |
NXOpen::GeometricUtilities::LawBuilder * | RotationAngleLaw () |
Returns the rotation angle law Created in NX5.0.0. | |
bool | RotationAngleReverseDirection () |
Returns the rotation angle reverse direction Created in NX5.0.0. | |
NXOpen::Features::GlobalShapingBuilder::RotationMethod | RotationAngleType () |
Returns the rotation angle type Created in NX5.0.0. | |
NXOpen::Expression * | RotationDistance () |
Returns the rotation distance value Created in NX6.0.0. | |
NXOpen::GeometricUtilities::LawBuilder * | RotationDistanceLaw () |
Returns the rotation distance law Created in NX5.0.0. | |
NXOpen::Section * | RotationTargetCurve () |
Returns the rotation target curve Created in NX6.0.0. | |
NXOpen::Features::GlobalShapingBuilder::RotationMethodType | RotationType () |
Returns the rotation type Created in NX6.0.0. | |
NXOpen::Section * | SecondRegionLimitCurve () |
Returns the second region limit curve Created in NX5.0.0. | |
NXOpen::GeometricUtilities::LawBuilder * | SecondRegionLimitCurveOffsetLaw () |
Returns the second region limit curve offset law Created in NX5.0.0. | |
NXOpen::ScCollector * | SecondRegionOffsetCurve () |
Returns the second region offset curve Created in NX5.0.0. | |
NXOpen::ScCollector * | SecondTargetCurve () |
Returns the second target curve Created in NX5.0.0. | |
NXOpen::Expression * | SecondTargetCurveOffset () |
Returns the second target curve offset Created in NX5.0.0. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the angle tolerance Created in NX5.0.0. | |
void | SetBaseSheet (NXOpen::Body *baseSheet) |
Base sheet Created in NX8.5.0. | |
void | SetControlSheet (NXOpen::Body *controlSheet) |
Control sheet Created in NX8.5.0. | |
void | SetDeformationDirectionMethod (NXOpen::Features::GlobalShapingBuilder::DirectionMethodType deformationDirectionMethod) |
Sets the deformation direction method Created in NX5.0.0. | |
void | SetDeformationDirectionReverse (bool deformationDirectionReverse) |
Sets the deformation direction reverse Created in NX5.0.0. | |
void | SetDeformationDirectionVector (NXOpen::Direction *deformationDirection) |
Sets the deformation direction vector Created in NX8.5.0. | |
void | SetDeformationType (NXOpen::Features::GlobalShapingBuilder::DeformationTypeValues deformationType) |
Sets the deformation type Created in NX5.0.0. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance Created in NX5.0.0. | |
void | SetFlipBaseNormalDirection (bool flipBaseNormalDirection) |
Sets the flip base normal direction Created in NX8.5.0. | |
void | SetFlipBaseUDirection (bool flipBaseUDirection) |
Sets the flip base udirection Created in NX8.5.0. | |
void | SetFlipBaseVDirection (bool flipBaseVDirection) |
Sets the flip base vdirection Created in NX8.5.0. | |
void | SetFlipControlNormalDirection (bool flipControlNormalDirection) |
Sets the flip control normal direction Created in NX8.5.0. | |
void | SetFlipControlUDirection (bool flipControlUDirection) |
Sets the flip control udirection Created in NX8.5.0. | |
void | SetFlipControlVDirection (bool flipControlVDirection) |
Sets the flip control vdirection Created in NX8.5.0. | |
void | SetIterationCount (int iterationCount) |
Sets the maximum iterations count used for approximating the deformed sheet. | |
void | SetKeepBaseLength (bool keepBaseLength) |
Sets the equal arc length toggle Created in NX8.5.0. | |
void | SetModifyInputSheet (bool modifyInputSheet) |
Sets the modify input sheet Created in NX5.0.0. | |
void | SetModifyMethod (NXOpen::Features::GlobalShapingBuilder::ModifyMethodType modifyMethod) |
Sets the modify method Created in NX8.5.0. | |
void | SetProjectionDirection (NXOpen::Direction *projectionDirection) |
Sets the projection direction Created in NX5.0.0. | |
void | SetRadiusOptions (NXOpen::Features::GlobalShapingBuilder::RadiusType radiusOptions) |
Sets the radius options Created in NX5.0.0. | |
void | SetRotationAngleReverseDirection (bool rotationAngleReverseDirection) |
Sets the rotation angle reverse direction Created in NX5.0.0. | |
void | SetRotationAngleType (NXOpen::Features::GlobalShapingBuilder::RotationMethod rotationAngleType) |
Sets the rotation angle type Created in NX5.0.0. | |
void | SetRotationType (NXOpen::Features::GlobalShapingBuilder::RotationMethodType rotationType) |
Sets the rotation type Created in NX6.0.0. | |
void | SetStretchDirection (NXOpen::Direction *stretchDirection) |
Sets the stretch direction Created in NX5.0.0. | |
void | SetTargetCurveOffsetType (NXOpen::Features::GlobalShapingBuilder::OffsetMethod targetCurveOffsetType) |
Sets the target curve offset type Created in NX5.0.0. | |
void | SetTargetCurveOrientation (NXOpen::Features::GlobalShapingBuilder::TargetCurveOrientationType orientation) |
Sets the orientation of the target curve to the limit curves. | |
void | SetTargetPoint (NXOpen::Point *targetPoint) |
Sets the target point Created in NX5.0.0. | |
void | SetTargetPointMethod (NXOpen::Features::GlobalShapingBuilder::PointMethodType targetPointMethod) |
Sets the target point method Created in NX5.0.0. | |
void | SetTransitionOptions (NXOpen::Features::GlobalShapingBuilder::TransitionType transitionOptions) |
Sets the transition options Created in NX5.0.0. | |
void | SetTransitionShapeControl (double transitionShapeControl) |
Sets the transition shape control Created in NX5.0.0. | |
void | SetTwistAngleReverseDirection (bool twistAngleReverseDirection) |
Sets the twist angle reverse direction Created in NX8.5.0. | |
NXOpen::ScCollector * | SheetToDeform () |
Returns the sheet to deform Created in NX5.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | StartLocation () |
Returns the start location of control curve Created in NX8.5.0. | |
NXOpen::Direction * | StretchDirection () |
Returns the stretch direction Created in NX5.0.0. | |
NXOpen::Expression * | TaperEnd () |
Returns the taper end. | |
NXOpen::Expression * | TaperStart () |
Returns the taper start. | |
NXOpen::Section * | TargetCurve () |
Returns the target curve Created in NX5.0.0. | |
NXOpen::Expression * | TargetCurveOffset () |
Returns the target curve offset Created in NX5.0.0. | |
NXOpen::GeometricUtilities::LawBuilder * | TargetCurveOffsetLaw () |
Returns the target curve offset law Created in NX5.0.0. | |
NXOpen::Features::GlobalShapingBuilder::OffsetMethod | TargetCurveOffsetType () |
Returns the target curve offset type Created in NX5.0.0. | |
NXOpen::Features::GlobalShapingBuilder::TargetCurveOrientationType | TargetCurveOrientation () |
Returns the orientation of the target curve to the limit curves. | |
NXOpen::Features::GlobalShapingCurveOffsetBuilderList * | TargetCurvesList () |
Returns the target curves list Created in NX7.5.0. | |
NXOpen::Point * | TargetPoint () |
Returns the target point Created in NX5.0.0. | |
NXOpen::Features::GlobalShapingBuilder::PointMethodType | TargetPointMethod () |
Returns the target point method Created in NX5.0.0. | |
NXOpen::Expression * | TargetPointOffset () |
Returns the target point offset Created in NX5.0.0. | |
NXOpen::Features::GlobalShapingPointOffsetBuilderList * | TargetPointsList () |
Returns the target points list Created in NX7.5.0. | |
NXOpen::ScCollector * | TargetSheet () |
Returns the target sheet Created in NX5.0.0. | |
NXOpen::GeometricUtilities::LawBuilder * | TransitionLaw () |
Returns the transition law Created in NX5.0.0. | |
NXOpen::Features::GlobalShapingBuilder::TransitionType | TransitionOptions () |
Returns the transition options Created in NX5.0.0. | |
double | TransitionShapeControl () |
Returns the transition shape control Created in NX5.0.0. | |
NXOpen::GeometricUtilities::LawBuilder * | TwistAngleLaw () |
Returns the twist angle law Created in NX8.5.0. | |
bool | TwistAngleReverseDirection () |
Returns the twist angle reverse direction Created in NX8.5.0. | |
void | UpdateDeformSheetType () |
Enable move pole Created in NX8.5.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::GlobalShaping Features::GlobalShaping@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateGlobalShapingBuilder Features::FeatureCollection::CreateGlobalShapingBuilder @endlink <br>
Default values.
Property | Value |
---|---|
FirstRegionLimitCurveOffsetLaw.Function |
ft |
FirstRegionLimitCurveOffsetLaw.LawType |
Constant |
FirstRegionLimitCurveOffsetLaw.Parameter |
t |
ModifyMethod |
Stretch |
MovePole.DegreesAndPatches.Degree |
3 |
MovePole.DegreesAndPatches.SegmentsOrPatches |
1 |
MovePole.DegreesAndPatches.UDegree |
5 |
MovePole.DegreesAndPatches.UPatches |
1 |
MovePole.DegreesAndPatches.VDegree |
5 |
MovePole.DegreesAndPatches.VPatches |
1 |
MovePole.MoveMethod | |
MovePole.WCSDirection |
X |
Created in NX5.0.0.
Represents the deformation type.
Represent sheet deformation type.
DeformBodyTypeSheetBodies |
Sheet bodies. |
DeformBodyTypeFacetBodies |
Facet bodies. |
Represents the direction method type.
Represents the offset method type.
OffsetMethodConstant |
Constant offset. |
OffsetMethodLawControlled |
Law controlled. |
OffsetMethodCurveDefined |
Curve interpolated. |
Represents radius options used.
Represents the rotation method type.
RotationMethodConstant |
Constant anlge rotation. |
RotationMethodLawControlled |
Law controlled rotation. |
RotationMethodCurveDefined |
Curve interpolated rotation. |
Represents the orientation of the target curve(s) to the limit curves.
With parallel option you can specify only one law. With the perpendicular option, you can specify multiple laws.
Represents the transition method type.
TransitionTypeFunction1 |
Tangent continuous transition. |
TransitionTypeFunction2 |
Position continuous transition. |
TransitionTypeLaw |
Transition by law. |
TransitionTypeG2 |
g2 continuous |
double NXOpen::Features::GlobalShapingBuilder::AngleTolerance | ( | ) |
Returns the angle tolerance
Created in NX5.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Features::GlobalShapingBuilder::AssociatedObjects | ( | ) |
Returns the objects to transform with the deformation
Created in NX7.5.0.
License requirements : None
NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::BaseCurve | ( | ) |
Returns the base curve
Created in NX8.5.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::GlobalShapingBuilder::BaseSheetSelection | ( | ) |
Returns the base face selection
Created in NX8.5.0.
License requirements : None
NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::BendCurve | ( | ) |
Returns the bend curve
Created in NX5.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::ControlCurve | ( | ) |
Returns the curve control
Created in NX8.5.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::GlobalShapingBuilder::ControlSheetSelection | ( | ) |
Returns the control face selection
Created in NX8.5.0.
License requirements : None
NXOpen::Features::GlobalShapingBuilder::DirectionMethodType NXOpen::Features::GlobalShapingBuilder::DeformationDirectionMethod | ( | ) |
Returns the deformation direction method
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::GlobalShapingBuilder::DeformationDirectionReverse | ( | ) |
Returns the deformation direction reverse
Created in NX5.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::GlobalShapingBuilder::DeformationDirectionVector | ( | ) |
Returns the deformation direction vector
Created in NX8.5.0.
License requirements : None
NXOpen::Features::GlobalShapingBuilder::DeformationTypeValues NXOpen::Features::GlobalShapingBuilder::DeformationType | ( | ) |
Returns the deformation type
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::GlobalShapingBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::GlobalShapingBuilder::EnableMovePole | ( | bool | enable | ) |
Enable move pole
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
enable | enable |
NXOpen::SelectDisplayableObjectList* NXOpen::Features::GlobalShapingBuilder::FacetToDeform | ( | ) |
Returns the facet to deform
Created in NX8.5.0.
License requirements : None
NXOpen::GeometricUtilities::FeatureOptions* NXOpen::Features::GlobalShapingBuilder::FeatureOptions | ( | ) |
Returns the feature options
Created in NX5.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::FirstRegionLimitCurve | ( | ) |
Returns the first region limit curve
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::GlobalShapingBuilder::FirstRegionLimitCurveOffsetLaw | ( | ) |
Returns the region to deform offset law
Created in NX5.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::GlobalShapingBuilder::FirstRegionOffsetCurve | ( | ) |
Returns the first region offset curve
Created in NX5.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::GlobalShapingBuilder::FirstTargetCurve | ( | ) |
Returns the first target curve
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::FirstTargetCurveOffset | ( | ) |
Returns the first target curve offset
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::GlobalShapingBuilder::FlipBaseNormalDirection | ( | ) |
Returns the flip base normal direction
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::GlobalShapingBuilder::FlipBaseUDirection | ( | ) |
Returns the flip base udirection
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::GlobalShapingBuilder::FlipBaseVDirection | ( | ) |
Returns the flip base vdirection
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::GlobalShapingBuilder::FlipControlNormalDirection | ( | ) |
Returns the flip control normal direction
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::GlobalShapingBuilder::FlipControlUDirection | ( | ) |
Returns the flip control udirection
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::GlobalShapingBuilder::FlipControlVDirection | ( | ) |
Returns the flip control vdirection
Created in NX8.5.0.
License requirements : None
int NXOpen::Features::GlobalShapingBuilder::IterationCount | ( | ) |
Returns the maximum iterations count used for approximating the deformed sheet.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::GlobalShapingBuilder::KeepBaseLength | ( | ) |
Returns the equal arc length toggle
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::GlobalShapingBuilder::ModifyInputSheet | ( | ) |
Returns the modify input sheet
Created in NX5.0.0.
License requirements : None
NXOpen::Features::GlobalShapingBuilder::ModifyMethodType NXOpen::Features::GlobalShapingBuilder::ModifyMethod | ( | ) |
Returns the modify method
Created in NX8.5.0.
License requirements : None
NXOpen::GeometricUtilities::MovePoleBuilder* NXOpen::Features::GlobalShapingBuilder::MovePole | ( | ) |
Returns the move pole
Created in NX8.5.0.
License requirements : None
NXOpen::Features::GlobalShapingCurveOffsetBuilder* NXOpen::Features::GlobalShapingBuilder::NewTargetCurve | ( | ) |
Create a new target curve.
NXOpen::Features::GlobalShapingPointOffsetBuilder* NXOpen::Features::GlobalShapingBuilder::NewTargetPoint | ( | ) |
Create a new target point.
NXOpen::Direction* NXOpen::Features::GlobalShapingBuilder::ProjectionDirection | ( | ) |
Returns the projection direction
Created in NX5.0.0.
License requirements : None
NXOpen::Features::GlobalShapingBuilder::RadiusType NXOpen::Features::GlobalShapingBuilder::RadiusOptions | ( | ) |
Returns the radius options
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::RadiusReductionPercent | ( | ) |
Returns the radius reduction percent
Created in NX7.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::GlobalShapingBuilder::RegionEdgeCurve | ( | ) |
Returns the region edge curve
Created in NX5.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::RegionLimitCurve | ( | ) |
Returns the region limit curve
Created in NX5.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::RegionToDeform | ( | ) |
Returns the region to deform
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::RegionToDeformOffset | ( | ) |
Returns the region boundary offset
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::RotationAngle | ( | ) |
Returns the rotation angle value
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::GlobalShapingBuilder::RotationAngleLaw | ( | ) |
Returns the rotation angle law
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::GlobalShapingBuilder::RotationAngleReverseDirection | ( | ) |
Returns the rotation angle reverse direction
Created in NX5.0.0.
License requirements : None
NXOpen::Features::GlobalShapingBuilder::RotationMethod NXOpen::Features::GlobalShapingBuilder::RotationAngleType | ( | ) |
Returns the rotation angle type
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::RotationDistance | ( | ) |
Returns the rotation distance value
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::GlobalShapingBuilder::RotationDistanceLaw | ( | ) |
Returns the rotation distance law
Created in NX5.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::RotationTargetCurve | ( | ) |
Returns the rotation target curve
Created in NX6.0.0.
License requirements : None
NXOpen::Features::GlobalShapingBuilder::RotationMethodType NXOpen::Features::GlobalShapingBuilder::RotationType | ( | ) |
Returns the rotation type
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::SecondRegionLimitCurve | ( | ) |
Returns the second region limit curve
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::GlobalShapingBuilder::SecondRegionLimitCurveOffsetLaw | ( | ) |
Returns the second region limit curve offset law
Created in NX5.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::GlobalShapingBuilder::SecondRegionOffsetCurve | ( | ) |
Returns the second region offset curve
Created in NX5.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::GlobalShapingBuilder::SecondTargetCurve | ( | ) |
Returns the second target curve
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::SecondTargetCurveOffset | ( | ) |
Returns the second target curve offset
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::GlobalShapingBuilder::SetAngleTolerance | ( | double | angleTolerance | ) |
Sets the angle tolerance
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
angleTolerance | angletolerance |
void NXOpen::Features::GlobalShapingBuilder::SetBaseSheet | ( | NXOpen::Body * | baseSheet | ) |
Base sheet
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
baseSheet | basesheet |
void NXOpen::Features::GlobalShapingBuilder::SetControlSheet | ( | NXOpen::Body * | controlSheet | ) |
Control sheet
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
controlSheet | controlsheet |
void NXOpen::Features::GlobalShapingBuilder::SetDeformationDirectionMethod | ( | NXOpen::Features::GlobalShapingBuilder::DirectionMethodType | deformationDirectionMethod | ) |
Sets the deformation direction method
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
deformationDirectionMethod | deformationdirectionmethod |
void NXOpen::Features::GlobalShapingBuilder::SetDeformationDirectionReverse | ( | bool | deformationDirectionReverse | ) |
Sets the deformation direction reverse
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
deformationDirectionReverse | deformationdirectionreverse |
void NXOpen::Features::GlobalShapingBuilder::SetDeformationDirectionVector | ( | NXOpen::Direction * | deformationDirection | ) |
Sets the deformation direction vector
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
deformationDirection | deformationdirection |
void NXOpen::Features::GlobalShapingBuilder::SetDeformationType | ( | NXOpen::Features::GlobalShapingBuilder::DeformationTypeValues | deformationType | ) |
Sets the deformation type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
deformationType | deformationtype |
void NXOpen::Features::GlobalShapingBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
distanceTolerance | distancetolerance |
void NXOpen::Features::GlobalShapingBuilder::SetFlipBaseNormalDirection | ( | bool | flipBaseNormalDirection | ) |
Sets the flip base normal direction
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
flipBaseNormalDirection | flipbasenormaldirection |
void NXOpen::Features::GlobalShapingBuilder::SetFlipBaseUDirection | ( | bool | flipBaseUDirection | ) |
Sets the flip base udirection
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
flipBaseUDirection | flipbaseudirection |
void NXOpen::Features::GlobalShapingBuilder::SetFlipBaseVDirection | ( | bool | flipBaseVDirection | ) |
Sets the flip base vdirection
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
flipBaseVDirection | flipbasevdirection |
void NXOpen::Features::GlobalShapingBuilder::SetFlipControlNormalDirection | ( | bool | flipControlNormalDirection | ) |
Sets the flip control normal direction
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
flipControlNormalDirection | flipcontrolnormaldirection |
void NXOpen::Features::GlobalShapingBuilder::SetFlipControlUDirection | ( | bool | flipControlUDirection | ) |
Sets the flip control udirection
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
flipControlUDirection | flipcontroludirection |
void NXOpen::Features::GlobalShapingBuilder::SetFlipControlVDirection | ( | bool | flipControlVDirection | ) |
Sets the flip control vdirection
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
flipControlVDirection | flipcontrolvdirection |
void NXOpen::Features::GlobalShapingBuilder::SetIterationCount | ( | int | iterationCount | ) |
Sets the maximum iterations count used for approximating the deformed sheet.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
iterationCount | iterationcount |
void NXOpen::Features::GlobalShapingBuilder::SetKeepBaseLength | ( | bool | keepBaseLength | ) |
Sets the equal arc length toggle
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
keepBaseLength | keepbaselength |
void NXOpen::Features::GlobalShapingBuilder::SetModifyInputSheet | ( | bool | modifyInputSheet | ) |
Sets the modify input sheet
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
modifyInputSheet | modifyinputsheet |
void NXOpen::Features::GlobalShapingBuilder::SetModifyMethod | ( | NXOpen::Features::GlobalShapingBuilder::ModifyMethodType | modifyMethod | ) |
Sets the modify method
Created in NX8.5.0.
License requirements : None
modifyMethod | modifymethod |
void NXOpen::Features::GlobalShapingBuilder::SetProjectionDirection | ( | NXOpen::Direction * | projectionDirection | ) |
Sets the projection direction
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
projectionDirection | projectiondirection |
void NXOpen::Features::GlobalShapingBuilder::SetRadiusOptions | ( | NXOpen::Features::GlobalShapingBuilder::RadiusType | radiusOptions | ) |
Sets the radius options
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
radiusOptions | radiusoptions |
void NXOpen::Features::GlobalShapingBuilder::SetRotationAngleReverseDirection | ( | bool | rotationAngleReverseDirection | ) |
Sets the rotation angle reverse direction
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
rotationAngleReverseDirection | rotationanglereversedirection |
void NXOpen::Features::GlobalShapingBuilder::SetRotationAngleType | ( | NXOpen::Features::GlobalShapingBuilder::RotationMethod | rotationAngleType | ) |
Sets the rotation angle type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
rotationAngleType | rotationangletype |
void NXOpen::Features::GlobalShapingBuilder::SetRotationType | ( | NXOpen::Features::GlobalShapingBuilder::RotationMethodType | rotationType | ) |
Sets the rotation type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
rotationType | rotationtype |
void NXOpen::Features::GlobalShapingBuilder::SetStretchDirection | ( | NXOpen::Direction * | stretchDirection | ) |
Sets the stretch direction
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
stretchDirection | stretchdirection |
void NXOpen::Features::GlobalShapingBuilder::SetTargetCurveOffsetType | ( | NXOpen::Features::GlobalShapingBuilder::OffsetMethod | targetCurveOffsetType | ) |
Sets the target curve offset type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
targetCurveOffsetType | targetcurveoffsettype |
void NXOpen::Features::GlobalShapingBuilder::SetTargetCurveOrientation | ( | NXOpen::Features::GlobalShapingBuilder::TargetCurveOrientationType | orientation | ) |
Sets the orientation of the target curve to the limit curves.
Only used when deformation_type is Features::GlobalShapingBuilder::DeformationTypeValuesWallDeformation .
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
orientation | orientation |
void NXOpen::Features::GlobalShapingBuilder::SetTargetPoint | ( | NXOpen::Point * | targetPoint | ) |
Sets the target point
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
targetPoint | targetpoint |
void NXOpen::Features::GlobalShapingBuilder::SetTargetPointMethod | ( | NXOpen::Features::GlobalShapingBuilder::PointMethodType | targetPointMethod | ) |
Sets the target point method
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
targetPointMethod | targetpointmethod |
void NXOpen::Features::GlobalShapingBuilder::SetTransitionOptions | ( | NXOpen::Features::GlobalShapingBuilder::TransitionType | transitionOptions | ) |
Sets the transition options
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
transitionOptions | transitionoptions |
void NXOpen::Features::GlobalShapingBuilder::SetTransitionShapeControl | ( | double | transitionShapeControl | ) |
Sets the transition shape control
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
transitionShapeControl | transitionshapecontrol |
void NXOpen::Features::GlobalShapingBuilder::SetTwistAngleReverseDirection | ( | bool | twistAngleReverseDirection | ) |
Sets the twist angle reverse direction
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
twistAngleReverseDirection | twistanglereversedirection |
NXOpen::ScCollector* NXOpen::Features::GlobalShapingBuilder::SheetToDeform | ( | ) |
Returns the sheet to deform
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::GlobalShapingBuilder::StartLocation | ( | ) |
Returns the start location of control curve
Created in NX8.5.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::GlobalShapingBuilder::StretchDirection | ( | ) |
Returns the stretch direction
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::TaperEnd | ( | ) |
Returns the taper end.
Distance at the end to apply the taper.
Created in NX7.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::TaperStart | ( | ) |
Returns the taper start.
Distance at the start to apply the taper.
Created in NX7.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::GlobalShapingBuilder::TargetCurve | ( | ) |
Returns the target curve
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::TargetCurveOffset | ( | ) |
Returns the target curve offset
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::GlobalShapingBuilder::TargetCurveOffsetLaw | ( | ) |
Returns the target curve offset law
Created in NX5.0.0.
License requirements : None
NXOpen::Features::GlobalShapingBuilder::OffsetMethod NXOpen::Features::GlobalShapingBuilder::TargetCurveOffsetType | ( | ) |
Returns the target curve offset type
Created in NX5.0.0.
License requirements : None
NXOpen::Features::GlobalShapingBuilder::TargetCurveOrientationType NXOpen::Features::GlobalShapingBuilder::TargetCurveOrientation | ( | ) |
Returns the orientation of the target curve to the limit curves.
Only used when deformation_type is Features::GlobalShapingBuilder::DeformationTypeValuesWallDeformation .
Created in NX7.5.0.
License requirements : None
NXOpen::Features::GlobalShapingCurveOffsetBuilderList* NXOpen::Features::GlobalShapingBuilder::TargetCurvesList | ( | ) |
Returns the target curves list
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Point* NXOpen::Features::GlobalShapingBuilder::TargetPoint | ( | ) |
Returns the target point
Created in NX5.0.0.
License requirements : None
NXOpen::Features::GlobalShapingBuilder::PointMethodType NXOpen::Features::GlobalShapingBuilder::TargetPointMethod | ( | ) |
Returns the target point method
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::GlobalShapingBuilder::TargetPointOffset | ( | ) |
Returns the target point offset
Created in NX5.0.0.
License requirements : None
NXOpen::Features::GlobalShapingPointOffsetBuilderList* NXOpen::Features::GlobalShapingBuilder::TargetPointsList | ( | ) |
Returns the target points list
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::ScCollector* NXOpen::Features::GlobalShapingBuilder::TargetSheet | ( | ) |
Returns the target sheet
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::GlobalShapingBuilder::TransitionLaw | ( | ) |
Returns the transition law
Created in NX5.0.0.
License requirements : None
NXOpen::Features::GlobalShapingBuilder::TransitionType NXOpen::Features::GlobalShapingBuilder::TransitionOptions | ( | ) |
Returns the transition options
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::GlobalShapingBuilder::TransitionShapeControl | ( | ) |
Returns the transition shape control
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::GlobalShapingBuilder::TwistAngleLaw | ( | ) |
Returns the twist angle law
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::GlobalShapingBuilder::TwistAngleReverseDirection | ( | ) |
Returns the twist angle reverse direction
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::GlobalShapingBuilder::UpdateDeformSheetType | ( | ) |
Enable move pole
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")